Bug 789287 - Uninstalling eclipse leaves files in _libdir/eclipse/configuration
Uninstalling eclipse leaves files in _libdir/eclipse/configuration
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sami Wagiaalla
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-02-10 04:55 EST by Alexander Kurtakov
Modified: 2016-06-07 18:46 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-29 14:53:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
One of the log files. (3.29 KB, text/x-log)
2012-02-10 04:55 EST, Alexander Kurtakov
no flags Details

  None (edit)
Description Alexander Kurtakov 2012-02-10 04:55:39 EST
Created attachment 560852 [details]
One of the log files.

After yum erase eclipse* icu4j-eclipse I ended up with _lidbir/eclipse still existing. The contents are:
.  ..  1327586612891.log  1327989777829.log

Looking at the logs this logs were created when the reconciler failed to complete properly. We should not leave such files in _libdir after uninstall so they should probably be either moved to /var/log/smth or even removed by the reconciler.
Comment 1 Alexander Kurtakov 2012-02-10 04:56:31 EST
Sami, please take care of this as it's result of the reconciler work.
Comment 2 Sami Wagiaalla 2012-02-29 14:43:47 EST
Since the reconciler is now disabled these files will no longer be created.
I could add some rm statements to clean these files up in the platforms postun section. Is that worth doing ?
Comment 3 Alexander Kurtakov 2012-02-29 14:53:46 EST
Nah, It doesn't make sense to bother with it now.

Note You need to log in before you can comment on or make changes to this bug.